from cas_server.auth import DjangoAuthUser
from django.utils.text import slugify


class CustomAuthUser(DjangoAuthUser):
    """
    Override Django Auth User model to define a custom Matrix username.
    """

    def attributs(self):
        d = super().attributs()
        if self.user:
            d["matrix_username"] = slugify(str(self.user.registration))
        return d
